> ## Documentation Index
> Fetch the complete documentation index at: https://docs.junction.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List Webhooks

> Get org team webhook via the Junction API. Requires authentication with your team API key.

<Info>
  [Junction Management API](/api-details/junction-management-api) is available for [the Scale plan](https://tryvital.io/pricing).
</Info>

<Tip>
  The base URL of this endpoint is `https://api.management.junction.com/`.

  The endpoint accepts only [Management Key](/api-details/junction-management-api#authentication) (`X-Management-Key`).
  Team API Key is not accepted.
</Tip>


## OpenAPI

````yaml get /v1/org/{org_id}/team/{team_id}/{environment}/webhook
openapi: 3.1.0
info:
  title: Org Management
  version: 0.1.0
servers:
  - url: https://api.management.junction.com
    description: Production Management API server
security:
  - ManagementKey: []
paths:
  /v1/org/{org_id}/team/{team_id}/{environment}/webhook:
    get:
      tags:
        - Team Webhook
      summary: List Webhooks
      operationId: list_webhooks_v1_org__org_id__team__team_id___environment__webhook_get
      parameters:
        - name: org_id
          in: path
          required: true
          schema:
            type: string
            format: uuid
            title: Org Id
        - name: team_id
          in: path
          required: true
          schema:
            type: string
            format: uuid
            title: Team Id
        - name: environment
          in: path
          required: true
          schema:
            $ref: '#/components/schemas/Env'
        - name: next_cursor
          in: query
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: Next Cursor
        - name: limit
          in: query
          required: false
          schema:
            type: integer
            default: 50
            title: Limit
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/WebhookListResponse'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
components:
  schemas:
    Env:
      type: string
      enum:
        - production
        - sandbox
      title: Env
    WebhookListResponse:
      properties:
        data:
          items:
            $ref: '#/components/schemas/Webhook'
          type: array
          title: Data
        next_cursor:
          anyOf:
            - type: string
            - type: 'null'
          title: Next Cursor
      type: object
      required:
        - data
        - next_cursor
      title: WebhookListResponse
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    Webhook:
      properties:
        id:
          type: string
          title: Id
        description:
          anyOf:
            - type: string
            - type: 'null'
          title: Description
        rate_limit:
          anyOf:
            - type: integer
            - type: 'null'
          title: Rate Limit
        url:
          type: string
          title: Url
        disabled:
          anyOf:
            - type: boolean
            - type: 'null'
          title: Disabled
          default: false
        filter_types:
          anyOf:
            - items:
                type: string
              type: array
            - type: 'null'
          title: Filter Types
          description: >-
            For the complete list of events, check out the [Event
            Catalog](https://docs.junction.com/event-catalog).
          examples:
            - daily.data.activity.created
        created_at:
          type: string
          format: date-time
          title: Created At
        updated_at:
          type: string
          format: date-time
          title: Updated At
      type: object
      required:
        - id
        - url
        - created_at
        - updated_at
      title: Webhook
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
        input:
          title: Input
        ctx:
          type: object
          title: Context
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    ManagementKey:
      type: apiKey
      in: header
      name: X-Management-Key

````